package com.youngho;

import android.app.Activity;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.os.Bundle;
import android.util.AttributeSet;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;

import com.youngho.Itab.OnTabClickListener;
import com.youngho.Itab.TabMember;

public class MainActivity extends Activity {
    /** Called when the activity is first created. */
	public static class iRelativeLayout extends RelativeLayout{
		private Paint 	mPaint;
		private Rect 	mRect;
		
		public iRelativeLayout(Context context, AttributeSet attrs){
			super(context, attrs);
		
			mRect = new Rect();
			mPaint = new Paint();
			
			mPaint.setStyle(Paint.Style.FILL_AND_STROKE);
			mPaint.setColor(0xFFCBD2D8);
		}

		@Override
		protected void onDraw(Canvas canvas) {
			// TODO Auto-generated method stub
			super.onDraw(canvas);
			
			canvas.drawColor(0xFFC5CCD4);
			this.getDrawingRect(mRect);
			
			for(int i=0;i<mRect.right; i+=7){
				canvas.drawRect(mRect.left+i, mRect.top, mRect.left+i+2,mRect.bottom,mPaint);
			}
		}
	}
	
	
	private static final int TAB_HIGHLIGHT = 1;
	private static final int TAB_CHAT = 2;
	private static final int TAB_LOOPBACK = 3;
	private static final int TAB_REDO = 4;
	
	private Itab			mTabs;
	private LinearLayout	mTabLayout_One;
	private LinearLayout	mTabLayout_Two;
	private LinearLayout	mTabLayout_Three;
	private LinearLayout	mTabLayout_Four;
	private LinearLayout	mTabLayout_Five;
	
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mTabs = (Itab)findViewById(R.id.Tabs);
        mTabLayout_One = (LinearLayout)findViewById(R.id.TabLayout_One);
        mTabLayout_Two = (LinearLayout)findViewById(R.id.TabLayout_Two);
        mTabLayout_Three = (LinearLayout)findViewById(R.id.TabLayout_Three);
        mTabLayout_Four = (LinearLayout)findViewById(R.id.TabLayout_Four);
        mTabLayout_Five = (LinearLayout)findViewById(R.id.TabLayout_Four);

        mTabs.addTabMember(new TabMember(TAB_HIGHLIGHT, "1", R.drawable.tab1));
        mTabs.addTabMember(new TabMember(TAB_CHAT, "2", R.drawable.tab3));
        mTabs.addTabMember(new TabMember(TAB_LOOPBACK, "3", R.drawable.tab1));
        mTabs.addTabMember(new TabMember(TAB_REDO, "4", R.drawable.tab3));
        mTabs.addTabMember(new TabMember(TAB_REDO, "5", R.drawable.tab1));
        
        mTabLayout_One.setVisibility(View.VISIBLE);
        mTabLayout_Two.setVisibility(View.GONE);
        mTabLayout_Three.setVisibility(View.GONE);
        mTabLayout_Four.setVisibility(View.GONE);
        
        mTabs.setOnTabClickListener(new OnTabClickListener() {
			
			@Override
			public void onTabClick(int tabId) {
				// TODO Auto-generated method stub
				if(tabId == TAB_HIGHLIGHT){
					mTabLayout_One.setVisibility(View.VISIBLE);
			        mTabLayout_Two.setVisibility(View.GONE);
			        mTabLayout_Three.setVisibility(View.GONE);
			        mTabLayout_Four.setVisibility(View.GONE);
				}
				else if(tabId == TAB_CHAT){
					mTabLayout_One.setVisibility(View.GONE);
			        mTabLayout_Two.setVisibility(View.VISIBLE);
			        mTabLayout_Three.setVisibility(View.GONE);
			        mTabLayout_Four.setVisibility(View.GONE);
				}
				else if(tabId == TAB_LOOPBACK){
					mTabLayout_One.setVisibility(View.GONE);
			        mTabLayout_Two.setVisibility(View.GONE);
			        mTabLayout_Three.setVisibility(View.VISIBLE);
			        mTabLayout_Four.setVisibility(View.GONE);
				}
				else if(tabId == TAB_REDO){
					mTabLayout_One.setVisibility(View.GONE);
			        mTabLayout_Two.setVisibility(View.GONE);
			        mTabLayout_Three.setVisibility(View.GONE);
			        mTabLayout_Four.setVisibility(View.VISIBLE);
				}
			}
		});
        
    }
}